CVE-2004-2402
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:02
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in YaBB.pl in YaBB 1 GOLD SP 1.3.2 allows remote attackers to inject arbitrary web script or HTML via a hex-encoded to parameter. NOTE: some sources say that the board parameter is affected, but this is incorrect.


[CNNVD]YaBB YaBB.pl IMSend跨站脚本漏洞(CNNVD-200412-655)

        YaBB 1 GOLD SP 1.3.2版本的YaBB.pl存在跨站脚本(XSS)漏洞。远程攻击者可以借助参数的十六进制编码来注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:yabb:yabb:1_gold_-_sp_1
cpe:/a:yabb:yabb:2000-09-01
cpe:/a:yabb:yabb:1.41
cpe:/a:yabb:yabb:1_gold_-_sp_1.3
cpe:/a:yabb:yabb:1_gold_-_sp_1.2
cpe:/a:yabb:yabb:1.40
cpe:/a:yabb:yabb:1_gold_-_sp_1.3.1
cpe:/a:yabb:yabb:1_gold_release
cpe:/a:yabb:yabb:1_gold_-_sp_1.3.2
cpe:/a:yabb:yabb:2000-09-11

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2402
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2402
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-655
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17452
(UNKNOWN)  XF  yabb-board-xss(17452)
http://www.securityfocus.com/bid/11215
(UNKNOWN)  BID  11215
http://www.osvdb.org/10242
(UNKNOWN)  OSVDB  10242
http://secunia.com/advisories/12593
(VENDOR_ADVISORY)  SECUNIA  12593
http://archives.neohapsis.com/archives/bugtraq/2004-09/0227.html
(UNKNOWN)  BUGTRAQ  20040916 RE: www.proboards.com / YaBB XSS Vuln

- 漏洞信息

YaBB YaBB.pl IMSend跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        YaBB 1 GOLD SP 1.3.2版本的YaBB.pl存在跨站脚本(XSS)漏洞。远程攻击者可以借助参数的十六进制编码来注入任意web脚本或HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24612)

YaBB 1.x/9.1.2000 YaBB.pl IMSend Cross-Site Scripting Vulnerability (EDBID:24612)
cgi webapps
2004-09-17 Verified
0 GulfTech Security
N/A [点击下载]
source: http://www.securityfocus.com/bid/11215/info

A cross-site scripting vulnerability is reported in the YaBB forum 'YaBB.pl' script.

As a result, it is possible for a remote attacker to create a malicious link to the affected page of a site hosting the web forum. The malicious link may contain arbitrary HTML and JavaScript code in URI parameters. When this link is visited by an unsuspecting web user, the attacker-supplied code will be executed in their browser in the security context of the vulnerable website.

http://www.example.com/YaBB.pl?board=;action=imsend;to=%22%3E%3Cscript%3Ealert(document
.cookie)%3C/script%3E		

- 漏洞信息

10242
YaBB YaBB.pl to Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-09-16 Unknow
2004-09-16 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站